public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexandre Rostovtsev" <tetromino@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: x11-terms/gnome-terminal/files/, x11-terms/gnome-terminal/
Date: Sun, 30 Sep 2012 02:37:41 +0000 (UTC)	[thread overview]
Message-ID: <1348972607.209477ae8d48b97243624af1ebb8caff29d58bac.tetromino@gentoo> (raw)

commit:     209477ae8d48b97243624af1ebb8caff29d58bac
Author:     Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 30 02:36:47 2012 +0000
Commit:     Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
CommitDate: Sun Sep 30 02:36:47 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=209477ae

x11-terms/gnome-terminal: add 3.6.0 and update live ebuild

---
 .../gnome-terminal-2.22.0-default_shell.patch      |   11 ++++
 ...ch => gnome-terminal-3.7.0-default_shell.patch} |    0
 .../gnome-terminal/gnome-terminal-3.6.0.ebuild     |   49 ++++++++++++++++++++
 .../gnome-terminal/gnome-terminal-9999.ebuild      |   15 +++---
 4 files changed, 67 insertions(+), 8 deletions(-)

diff --git a/x11-terms/gnome-terminal/files/gnome-terminal-2.22.0-default_shell.patch b/x11-terms/gnome-terminal/files/gnome-terminal-2.22.0-default_shell.patch
new file mode 100644
index 0000000..84bac04
--- /dev/null
+++ b/x11-terms/gnome-terminal/files/gnome-terminal-2.22.0-default_shell.patch
@@ -0,0 +1,11 @@
+--- src/gnome-terminal.schemas.in	2003-02-21 20:06:56.000000000 -0600
++++ src/gnome-terminal.schemas.in	2003-02-21 20:07:13.000000000 -0600
+@@ -341,7 +341,7 @@
+       <applyto>/apps/gnome-terminal/profiles/Default/login_shell</applyto>
+       <owner>gnome-terminal</owner>
+       <type>bool</type>
+-      <default>false</default>
++      <default>true</default>
+       <locale name="C">
+          <short>Whether to launch the command in the terminal as a login shell</short>
+          <long>

diff --git a/x11-terms/gnome-terminal/files/gnome-terminal-3.5.0-default_shell.patch b/x11-terms/gnome-terminal/files/gnome-terminal-3.7.0-default_shell.patch
similarity index 100%
rename from x11-terms/gnome-terminal/files/gnome-terminal-3.5.0-default_shell.patch
rename to x11-terms/gnome-terminal/files/gnome-terminal-3.7.0-default_shell.patch

diff --git a/x11-terms/gnome-terminal/gnome-terminal-3.6.0.ebuild b/x11-terms/gnome-terminal/gnome-terminal-3.6.0.ebuild
new file mode 100644
index 0000000..1e6bf9a
--- /dev/null
+++ b/x11-terms/gnome-terminal/gnome-terminal-3.6.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+GCONF_DEBUG="no"
+
+inherit eutils gnome2
+if [[ ${PV} = 9999 ]]; then
+	inherit gnome2-live
+fi
+
+DESCRIPTION="The Gnome Terminal"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux"
+IUSE=""
+
+# FIXME: automagic dependency on gtk+[X]
+RDEPEND=">=dev-libs/glib-2.26.0:2
+	>=x11-libs/gtk+-3.3.17:3[X]
+	>=x11-libs/vte-0.30.0:2.90
+	>=gnome-base/gconf-2.31.3
+	>=gnome-base/gsettings-desktop-schemas-0.1.0
+	x11-libs/libSM
+	x11-libs/libICE"
+# gtk+:2 needed for gtk-builder-convert, bug 356239
+DEPEND="${RDEPEND}
+	|| ( dev-util/gtk-builder-convert <=x11-libs/gtk+-2.24.10:2 )
+	app-text/yelp-tools
+	>=dev-util/intltool-0.40
+	sys-devel/gettext
+	virtual/pkgconfig"
+
+pkg_setup() {
+	DOCS="AUTHORS ChangeLog HACKING NEWS README"
+	# FIXME: leave smclient configure unset until it accepts values from the
+	# switch and not from GDK_TARGET, bug #363033
+	G2CONF="${G2CONF} --with-gtk=3.0"
+}
+
+src_prepare() {
+	# Use login shell by default (#12900)
+	epatch "${FILESDIR}"/${PN}-2.22.0-default_shell.patch
+
+	gnome2_src_prepare
+}

diff --git a/x11-terms/gnome-terminal/gnome-terminal-9999.ebuild b/x11-terms/gnome-terminal/gnome-terminal-9999.ebuild
index d276b68..605e9e8 100644
--- a/x11-terms/gnome-terminal/gnome-terminal-9999.ebuild
+++ b/x11-terms/gnome-terminal/gnome-terminal-9999.ebuild
@@ -13,27 +13,26 @@ fi
 DESCRIPTION="The Gnome Terminal"
 HOMEPAGE="http://www.gnome.org/"
 
-LICENSE="GPL-3"
+LICENSE="GPL-3+"
 SLOT="0"
 if [[ ${PV} = 9999 ]]; then
 	KEYWORDS=""
 else
-	KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux"
+	KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux"
 fi
 IUSE="nautilus"
 
 # FIXME: automagic dependency on gtk+[X]
-RDEPEND=">=dev-libs/glib-2.33.1:2
+RDEPEND=">=dev-libs/glib-2.33.2:2
 	>=x11-libs/gtk+-3.5.3:3[X]
-	>=x11-libs/vte-0.32.1:2.90
-	gnome-base/dconf
+	>=x11-libs/vte-0.33.0:2.90
+	>=gnome-base/dconf-0.13.4
 	>=gnome-base/gconf-2.31.3:2
 	>=gnome-base/gsettings-desktop-schemas-0.1.0
 	sys-apps/dbus
 	nautilus? ( >=gnome-base/nautilus-3 )"
 DEPEND="${RDEPEND}
-	>=app-text/gnome-doc-utils-0.3.2
-	>=app-text/scrollkeeper-0.3.11
+	app-text/yelp-tools
 	dev-libs/libxml2
 	dev-util/gdbus-codegen
 	dev-util/gtk-builder-convert
@@ -49,7 +48,7 @@ pkg_setup() {
 
 src_prepare() {
 	# Use login shell by default (#12900)
-	epatch "${FILESDIR}"/${PN}-3.5.0-default_shell.patch
+	epatch "${FILESDIR}"/${PN}-3.7.0-default_shell.patch
 
 	gnome2_src_prepare
 }


             reply	other threads:[~2012-09-30  2:37 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-09-30  2:37 Alexandre Rostovtsev [this message]
  -- strict thread matches above, loose matches on Subject: below --
2014-04-24 21:36 [gentoo-commits] proj/gnome:master commit in: x11-terms/gnome-terminal/files/, x11-terms/gnome-terminal/ Gilles Dartiguelongue
2012-11-25  0:23 Alexandre Rostovtsev
2012-05-24  6:56 Alexandre Restovtsev
2011-02-09 20:13 Nirbheek Chauhan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1348972607.209477ae8d48b97243624af1ebb8caff29d58bac.tetromino@gentoo \
    --to=tetromino@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox